Package Details: jre19-openjdk 19.0.2.u7-1

Git Clone URL: https://aur.archlinux.org/java19-openjdk.git (read-only, click to copy)
Package Base: java19-openjdk
Description: OpenJDK Java 19 full runtime environment
Upstream URL: https://openjdk.java.net/
Licenses: custom
Provides: java-runtime, java-runtime-openjdk, jre19-openjdk
Submitter: patlefort
Maintainer: None
Last Packager: patlefort
Votes: 1
Popularity: 0.009245
First Submitted: 2023-05-05 20:24 (UTC)
Last Updated: 2023-05-05 20:24 (UTC)

Dependencies (35)

Required by (1541)

Sources (4)

Latest Comments

patlefort commented on 2024-02-29 20:35 (UTC)

I will disown, feel free to fix it if you need it.

patlefort commented on 2024-02-29 20:33 (UTC)

I requested it for deletion but it was rejected and "deferred" (https://lists.archlinux.org/hyperkitty/list/aur-requests@lists.archlinux.org/message/US45FZH6ZEWX5B53OEY3UKHTDPRDFXBV/). I don't know what it means.

FabioLolix commented on 2023-10-15 16:12 (UTC)

@MarsSeed I've seen you made a deletion request of which I'm not opposing, yet some of my pkgbuilds that need jdk are very picky lately and I was testing some builds so if I was able to build it would be welcome but not essential

MarsSeed commented on 2023-10-15 16:05 (UTC)

This EOL package is not needed anymore.

FabioLolix commented on 2023-10-15 15:17 (UTC)

Hello, this need to explicitly set Java 18 or 19 to build, this is the log from devtools

checking for java... /usr/bin/java
configure: Found potential Boot JDK using java(c) in PATH
configure: Potential Boot JDK found at /usr/lib/jvm/java-21-openjdk is incorrect JDK version (openjdk version "21" 2023-09-19 OpenJDK Runtime Environment (build 21+35) OpenJDK 64-Bit Server VM (build 21+35, mixed mode, sharing)); ignoring
configure: (Your Boot JDK version must be one of: 18 19)
configure: Found potential Boot JDK using well-known locations (in /usr/lib/jvm/java-21-openjdk)
configure: Potential Boot JDK found at /usr/lib/jvm/java-21-openjdk is incorrect JDK version (openjdk version "21" 2023-09-19 OpenJDK Runtime Environment (build 21+35) OpenJDK 64-Bit Server VM (build 21+35, mixed mode, sharing)); ignoring
configure: (Your Boot JDK version must be one of: 18 19)
configure: Found potential Boot JDK using well-known locations (in /usr/lib/jvm/java-11-openjdk)
configure: Potential Boot JDK found at /usr/lib/jvm/java-11-openjdk is incorrect JDK version (openjdk version "11.0.20.1" 2023-08-24 OpenJDK Runtime Environment (build 11.0.20.1+1) OpenJDK 64-Bit Server VM (build 11.0.20.1+1, mixed mode)); ignoring
configure: (Your Boot JDK version must be one of: 18 19)
configure: Found potential Boot JDK using well-known locations (in /usr/lib/jvm/default-runtime)
configure: Potential Boot JDK found at /usr/lib/jvm/default-runtime is incorrect JDK version (openjdk version "21" 2023-09-19 OpenJDK Runtime Environment (build 21+35) OpenJDK 64-Bit Server VM (build 21+35, mixed mode, sharing)); ignoring
configure: (Your Boot JDK version must be one of: 18 19)
configure: Found potential Boot JDK using well-known locations (in /usr/lib/jvm/default)
configure: Potential Boot JDK found at /usr/lib/jvm/default is incorrect JDK version (openjdk version "21" 2023-09-19 OpenJDK Runtime Environment (build 21+35) OpenJDK 64-Bit Server VM (build 21+35, mixed mode, sharing)); ignoring
configure: (Your Boot JDK version must be one of: 18 19)
configure: Could not find a valid Boot JDK. OpenJDK distributions are available at http://jdk.java.net/.
configure: This might be fixed by explicitly setting --with-boot-jdk
configure: error: Cannot continue
configure exiting with result code 1
==> ERROR: A failure occurred in build().

MarsSeed commented on 2023-10-04 21:59 (UTC) (edited on 2023-10-04 22:00 (UTC) by MarsSeed)

maptool 1.13.2 stable works with jre-17. Btw it also needs jfx (openjfx) to work, which the current maptool package doesn't define as a dependency.

patlefort commented on 2023-10-04 17:28 (UTC)

I still need this package for maptool. However, I won't need it for long since the next version of maptool will work on current jdk and is currently in release candidate.

patlefort commented on 2023-05-31 20:23 (UTC)

Or you can install jdk18-openjdk from the AUR.

EJurga commented on 2023-05-31 20:10 (UTC)

For arch noobs: If the makepkg command is failing with the following error:

configure: Could not find a valid Boot JDK. OpenJDK distributions are available at http://jdk.java.net/.
configure: This might be fixed by explicitly setting --with-boot-jdk

Then you will need to navigate to the link and download the jdk19 binaries, and untar them. Then, edit the PKGBUILD script and update the bash configure command (line 88) with the --with-boot-jdk option that points to your downloaded jdk19 directory. This will enable the installation of java 19 onto your system.

You can remove the downloaded java19 afterwards.